# $Revision: 1.52 $, $Date: 2006/07/25 21:10:16 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
# hgw why it doesn't work on builders... temporary disables.
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	BSD
%define		pnam	Resource
Summary:	Perl module with BSD process resource limit and priority functions
Summary(cs):	Funkce pro BSD limity zdroj a priority proces
Summary(da):	BSD-procesresursegrnse- og -prioritetsfunktioner
Summary(de):	Funktionen zum Einstellen von Einschrnkungen und Prioritten der Ressourcen des BSD-Prozesses
Summary(es):	Funciones de prioridad y limite de recusros del proceso BSD
Summary(fr):	Limite de ressource de processus BSD et fonctions prioritaires
Summary(it):	Impostazione dei limiti e delle priorit delle risorse del processo BSD
Summary(ja):	BSDΥץ꥽¤ͥ٤εǽ
Summary(ko):	BSD μ ڿ Ѱ 켱  Լ
Summary(pl):	Modu Perla z funkcjami BSD obsugujcymi limity zasobw dla procesw
Summary(pt):	Funes de limitao de recursos e prioridades dos processos do BSD
Summary(pt_BR):	Funes de limitao de recursos e prioridades dos processos do BSD
Summary(sv):	BSD-processresursgrns- och -prioritetsfunktioner
Summary(tr):	BSD sre zkaynak snr ve ncelii ilevleri
Summary(zh_CN):	BSD Դƺȼ
Name:		perl-BSD-Resource
Version:	1.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf3ecc4127a831f2cd359bf920dde1cb
URL:		http://search.cpan.org/dist/BSD-Resource/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extension implements the BSD process resource limit
functions (getrusage(), getrlimit(), setrlimit()) and the BSD process
priority functions. These are available also via core Perl but here we
do more tricks so that the PRIO_* are available (getpriority(),
setpriority()).

%description -l cs
Modul poskytujc rozhran pro testovn a nastavovn limit zdroj a
priorit procesu.

%description -l da
Et modul som leverer en grnseflade til at teste og stte
procesbegrnsninger og prioriteter.

%description -l de
Ein Modul mit einem Interface fr das Prfen und Einstellen von
Prozesseinschrnkgungen und -prioritten.

%description -l es
Mdulo que proporciona una interfaz para chequear y configurar los
lmites del proceso y las prioridades.

%description -l fr
Module fournissant une interface pour tester et tablir les limites de
processus et les priorits.

%description -l it
Modulo che offre un'interfaccia per testare e impostare i limiti e le
priorit dei processi.

%description -l ja
ץ¤ͥ٤ƥȤꤹ٤Υ󥿡ե󶡤
⥸塼Ǥ

%description -l ko
μ Ѱ 켱  ϰ ϴµ Ǵ ̽
ϴ .

%description -l pl
To rozszerzenie Perle jest implementacj funkcji BSD dotyczcych
limitw zasobw dla procesw (getrusage(), getrlimit(), setrlimit())
oraz funkcji BSD zwizanych z priorytetami procesw. S one dostpne
take z podstawowego Perla, ale ten modu pozwala na wicej sztuczek,
bo dostpne s PRIO_* (getpriority(), setpriority()).

%description -l pt
Um mdulo que oferece uma interface para testar e definir os limites e
prioridades dos processos.

%description -l pt_BR
Um mdulo que oferece uma interface para testar e definir os limites e
prioridades dos processos.

%description -l sv
En modul som tillhandahller ett grnssnitt fr att testa och stta
processbegrnsningar och prioriteter.

%description -l zh_CN
ΪԺý޶Ⱥȼṩģ顣

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/BSD/Resource.pm
%dir %{perl_vendorarch}/auto/BSD/Resource
%{perl_vendorarch}/auto/BSD/Resource/*.al
%{perl_vendorarch}/auto/BSD/Resource/autosplit.ix
%{perl_vendorarch}/auto/BSD/Resource/Resource.bs
%attr(755,root,root) %{perl_vendorarch}/auto/BSD/Resource/Resource.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-BSD-Resource.spec,v $
Revision 1.52  2006/07/25 21:10:16  qboosh
- removed extra nl

Revision 1.51  2006/07/25 20:46:35  glen
- 1.28, generic URL

Revision 1.50  2006/05/21 17:41:39  blaass
- up ver

Revision 1.49  2004/11/03 21:38:37  paladine
- formatting

Revision 1.48  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.47  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.46  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.45  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.44  2004/03/06 21:56:37  adamg
- updated to 1.24

Revision 1.43  2003/12/12 12:41:03  undefine
- temporary disable make tests - it doesn't work on out builders :/

Revision 1.42  2003/12/12 00:02:07  undefine
- release 2 to rebuild with ac

Revision 1.41  2003/10/23 23:12:39  qboosh
- updated to 1.23, added tests

Revision 1.40  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.39  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/20 20:47:58  ankry
- merge translations from RH

Revision 1.35  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.34  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.33  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.32  2003/02/18 15:26:46  ankry
- massive attack: change CPAN URLs

Revision 1.31  2003/02/16 22:57:42  qboosh
- longer pl description (based on new en)

Revision 1.30  2003/02/14 13:51:06  mis
- removed stupid Summries

Revision 1.29  2003/02/14 13:47:14  mis
- autoupdated to 1.22

Revision 1.28  2003/01/07 13:08:39  mis
- autoupdated to 1.21

Revision 1.27  2002/11/26 09:59:01  mis
- autoupdated to 1.20

Revision 1.26  2002/11/21 16:37:40  mis
- autoupdated to 1.18

Revision 1.25  2002/09/22 14:21:01  kloczek
- (auto)updated to 1.17: bug fixes.

Revision 1.24  2002/07/16 11:31:02  ankry
- translations, cleaning
- release 2

Revision 1.23  2002/07/11 10:51:19  qboosh
- new %doc and cosmetics

Revision 1.22  2002/07/11 07:57:07  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:29:40  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 19:31:06  kloczek
- adapterized.

Revision 1.16  2002/02/13 14:09:42  depesz
- automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:24:23  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/01 09:43:10  mis
- autoupdated to 1.11

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %{rpmcflags} macro.

Revision 1.11  2001/04/17 12:05:21  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/03/15 10:26:22  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/25 20:03:43  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/09 17:27:29  baggins
- updated to 1.09

Revision 1.6  2000/12/27 18:30:20  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.4  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  1999/11/08 14:39:52  pius
- initial release
